####Experiment 2 figures####

switch_pc_d <- switch_pc[which(switch_pc$rearlight=='Deep'),]
switch_pc_s <- switch_pc[which(switch_pc$rearlight=='Shallow'),]

mf_labeller2 <- function(var, value){
  value <- as.character(value)
  if (var=="rearlight_f") { 
    value[value=="Deep"]   <- "Deep-reared"
    value[value=="Shallow"]   <- "Shallow-reared"
  }
  return(value)
}

rearlight_f <- c(Deep = "Deep-reared",Shallow="Shallow-reared")

switch_pc_3 <- switch_pc[which(switch_pc$photo==c('0','5','7','9','10','11')),]
switch_pc_4 <- switch_pc[which(switch_pc$photo=='5'),]
switch_pc_5 <- rbind(switch_pc_3,switch_pc_4)
switch_pc_6 <- switch_pc[which(switch_pc$photo=='7'),]
switch_pc_7 <- rbind(switch_pc_5,switch_pc_6)


#PC1
switch_pc_7$day[switch_pc_7$day == 105] <- 100

ggplot(switch_pc_7,aes(x=day,y=PC1.fish,colour = treatment,group=treatment))+
  geom_hline(yintercept=0,colour="gray61",size=0.5)+
  geom_vline(xintercept=0,colour="gray95",size=5)+
  facet_grid(~rearlight,labeller = labeller(.default = capitalize,rearlight=rearlight_f))+
  theme(strip.text.x = element_text(size=12,face="bold"),strip.background = element_rect(colour="white",fill="white"))+
  coord_cartesian(ylim=c(-2, 2))+
  geom_smooth(aes(fill = treatment),,se=F,size=1,show.legend = F,method="auto",position = position_dodge(5))+
  stat_summary(fun.y = mean, geom = "point",size = 3,position = position_dodge(5)) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.45,size=0.95,position = position_dodge(5))+
  scale_colour_manual(name="",values = c("burlywood3","orangered2","deepskyblue3","darkgray"),
  labels=c("Deep -> Deep","Deep -> Shallow","Shallow -> Deep","Shallow -> Shallow"))+
  scale_y_continuous(name="PC1")+
  scale_x_continuous(name="",breaks=c(0,7,14,46,73,100),labels=c("0","7","14","46","73","100"))+
  theme(legend.position='bottom',legend.background = element_rect(colour = 'white'),
  plot.margin=unit(c(0.5,0.5,0.5,0.5), "cm"),panel.spacing = unit(1.3,"lines"))

#PC2
ggplot(switch_pc_7,aes(x=day,y=PC2.fish,colour = treatment,group=treatment))+
  geom_hline(yintercept=0,colour="gray61",size=0.5)+
  geom_vline(xintercept=0,colour="gray95",size=5)+
  facet_grid(~rearlight,labeller = labeller(.default = capitalize,rearlight=rearlight_f))+
  theme(strip.text.x = element_text(size=12,face="bold"),strip.background = element_rect(colour="white",fill="white"))+
  coord_cartesian(ylim=c(-2, 2))+
  geom_smooth(aes(fill = treatment),se=F,size=1,show.legend = F,method="auto",position = position_dodge(5))+
  stat_summary(fun.y = mean, geom = "point",size = 3,position = position_dodge(5)) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.45,size=0.95,position = position_dodge(5))+
  scale_colour_manual(name="",values = c("burlywood3","orangered2","deepskyblue3","darkgray"),
                      labels=c("Deep -> Deep","Deep -> Shallow","Shallow -> Deep","Shallow -> Shallow"))+
  scale_y_continuous(name="PC2")+
  scale_x_continuous(name="",breaks=c(0,7,14,46,73,100),labels=c("0","7","14","46","73","100"))+
  theme(legend.position='',legend.background = element_rect(colour = 'white'),
        plot.margin=unit(c(0.5,0.5,0.5,0.5), "cm"),panel.spacing = unit(1.3,"lines"))


#PC3
ggplot(switch_pc_7,aes(x=day,y=PC3.fish,colour = treatment,group=treatment))+
  geom_hline(yintercept=0,colour="gray61",size=0.5)+
  geom_vline(xintercept=0,colour="gray95",size=5)+
  facet_grid(~rearlight,labeller = labeller(.default = capitalize,rearlight=rearlight_f))+
  theme(strip.text.x = element_text(size=12,face="bold"),strip.background = element_rect(colour="white",fill="white"))+
  coord_cartesian(ylim=c(-2, 2))+
  geom_smooth(aes(fill = treatment),se=F,size=1,show.legend = F,method="auto",position = position_dodge(5))+
  stat_summary(fun.y = mean, geom = "point",size = 3,position = position_dodge(5)) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.45,size=0.95,position = position_dodge(5))+
  scale_colour_manual(name="",values = c("burlywood3","orangered2","deepskyblue3","darkgray"),
                      labels=c("Deep -> Deep","Deep -> Shallow","Shallow -> Deep","Shallow -> Shallow"))+
  scale_y_continuous(name="PC3")+
  scale_x_continuous(name="Day",breaks=c(0,7,14,46,73,100),labels=c("0","7","14","46","73","100"))+
  theme(legend.position='',legend.background = element_rect(colour = 'white'),
        plot.margin=unit(c(0.5,0.5,0.5,0.5), "cm"),panel.spacing = unit(1.3,"lines"))


#PC4
ggplot(switch_pc_7,aes(x=day,y=PC4.fish,colour = treatment,group=treatment))+
  geom_hline(yintercept=0,colour="gray61",size=0.5)+
  geom_vline(xintercept=0,colour="gray95",size=5)+
  facet_grid(~rearlight,labeller = labeller(.default = capitalize,rearlight=rearlight_f))+
  theme(strip.text.x = element_text(size=12,face="bold"),strip.background = element_rect(colour="white",fill="white"))+
  coord_cartesian(ylim=c(-2, 2))+
  geom_smooth(aes(fill = treatment),se=F,size=1,show.legend = F,method="auto",position = position_dodge(5))+
  stat_summary(fun.y = mean, geom = "point",size = 3,position = position_dodge(5)) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.45,size=0.95,position = position_dodge(5))+
  scale_colour_manual(name="",values = c("burlywood3","orangered2","deepskyblue3","darkgray"),
                      labels=c("Deep -> Deep","Deep -> Shallow","Shallow -> Deep","Shallow -> Shallow"))+
  scale_y_continuous(name="PC4")+
  scale_x_continuous(name="Day",breaks=c(0,7,14,46,73,100),labels=c("0","7","14","46","73","100"))+
  theme(legend.position='',legend.background = element_rect(colour = 'white'),
        plot.margin=unit(c(0.5,0.5,0.5,0.5), "cm"),panel.spacing = unit(1.3,"lines"))


#fish PC3 significant 3 way interaction
switch_pc_7_d <- switch_pc_7[which(switch_pc_7$rearlight=='Deep'),]
switch_pc_7_s <- switch_pc_7[which(switch_pc_7$rearlight=='Shallow'),]

ggplot(switch_pc_7_d,aes(x=day,y=PC3.fish,colour = treatment,group=treatment))+
  geom_hline(yintercept=0,colour="gray61",size=0.5)+
  geom_vline(xintercept=0,colour="gray95",size=5)+
  facet_grid(~species_f, labeller = labeller(.default = capitalize,species_f=species_f2))+
  theme(strip.text.x = element_text(size=12,face="bold"),strip.background = element_rect(colour="white",fill="white"))+
  coord_cartesian(ylim=c(-7, 7))+
  geom_smooth(aes(fill = species),se=F,size=1,show.legend = F,method="auto",position = position_dodge(8))+
  stat_summary(fun.y = mean, geom = "point",size = 3,position = position_dodge(8)) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.45,size=0.95,position = position_dodge(8))+
  scale_colour_manual(name="",values = c("burlywood3","orangered2"),
  labels=c("Deep -> Deep","Deep -> Shallow"))+
  scale_y_continuous(name="PC3",breaks=c(-6,-4,-2,0,2,4,6))+
  scale_x_continuous(name="Day",breaks=c(0,14,46,73,100),labels=c("0","14","46","73","100"))+
  theme(legend.position='',legend.background = element_rect(colour = 'white'),
  plot.margin=unit(c(0.5,0.5,0.5,0.5), "cm"),panel.spacing = unit(1.3,"lines"))+
  ggtitle("Deep-reared") + theme(plot.title = element_text(hjust = 0.5))

#to change order 
switch_pc_7_s$treatment_f <- factor(switch_pc_7_s$treatment, levels=c('SS','SD'))

ggplot(switch_pc_7_s,aes(x=day,y=PC3.fish,colour = treatment_f,group=treatment_f))+
  geom_hline(yintercept=0,colour="gray61",size=0.5)+
  geom_vline(xintercept=0,colour="gray95",size=5)+
  facet_grid(~species_f, labeller = labeller(.default = capitalize,species_f=species_f2))+
  theme(strip.text.x = element_text(size=12,face="bold"),strip.background = element_rect(colour="white",fill="white"))+
  coord_cartesian(ylim=c(-7, 7))+
  geom_smooth(aes(fill = species),se=F,size=1,show.legend = F,method="auto",position = position_dodge(8))+
  stat_summary(fun.y = mean, geom = "point",size = 3,position = position_dodge(8)) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.45,size=0.95,position = position_dodge(8))+
  scale_colour_manual(name="",values = c("darkgray","deepskyblue3"),
  labels=c("Shallow -> Shallow","Shallow -> Deep"))+
  scale_y_continuous(name="PC3",breaks=c(-6,-4,-2,0,2,4,6))+
  scale_x_continuous(name="Day",breaks=c(0,14,46,73,100),labels=c("0","14","46","73","100"))+
  theme(legend.position='',legend.background = element_rect(colour = 'white'),
  plot.margin=unit(c(0.5,0.5,0.5,0.5), "cm"),panel.spacing = unit(1.3,"lines"))+
  ggtitle("Shallow-reared") + theme(plot.title = element_text(hjust = 0.5))

#Body PC4 significant 3 way interaction

ggplot(switch_pc_7_d,aes(x=day,y=PC4.body,colour = treatment,group=treatment))+
  geom_hline(yintercept=0,colour="gray61",size=0.5)+
  geom_vline(xintercept=0,colour="gray95",size=5)+
  facet_grid(~species_f, labeller = labeller(.default = capitalize,species_f=species_f2))+
  theme(strip.text.x = element_text(size=12,face="bold"),strip.background = element_rect(colour="white",fill="white"))+
  coord_cartesian(ylim=c(-7, 7))+
  geom_smooth(aes(fill = species),se=F,size=1,show.legend = F,method="auto",position = position_dodge(8))+
  stat_summary(fun.y = mean, geom = "point",size = 3,position = position_dodge(8)) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.45,size=0.95,position = position_dodge(8))+
  scale_colour_manual(name="",values = c("burlywood3","orangered2"),
  labels=c("Deep -> Deep","Deep -> Shallow"))+
  scale_y_continuous(name="Body PC4",breaks=c(-6,-4,-2,0,2,4,6))+
  scale_x_continuous(name="Day",breaks=c(0,14,46,73,100),labels=c("0","14","46","73","100"))+
  theme(legend.position='',legend.background = element_rect(colour = 'white'),
  plot.margin=unit(c(0.5,0.5,0.5,0.5), "cm"),panel.spacing = unit(1.3,"lines"))+
  ggtitle("Deep-reared")+ theme(plot.title = element_text(hjust = 0.5))

ggplot(switch_pc_7_s,aes(x=day,y=PC4.body,colour = treatment,group=treatment))+
  geom_hline(yintercept=0,colour="gray61",size=0.5)+
  geom_vline(xintercept=0,colour="gray95",size=5)+
  facet_grid(~species_f, labeller = labeller(.default = capitalize,species_f=species_f2))+
  theme(strip.text.x = element_text(size=12,face="bold"),strip.background = element_rect(colour="white",fill="white"))+
  coord_cartesian(ylim=c(-7, 7))+
  geom_smooth(aes(fill = species),se=F,size=1,show.legend = F,method="auto",position = position_dodge(8))+
  stat_summary(fun.y = mean, geom = "point",size = 3,position = position_dodge(8)) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.45,size=0.95,position = position_dodge(8))+
  scale_colour_manual(name="",values = c("darkgrey","deepskyblue3"),
  labels=c("Shallow -> Shallow","Shallow -> Deep"))+
  scale_y_continuous(name="Body PC4",breaks=c(-6,-4,-2,0,2,4,6))+
  scale_x_continuous(name="Day",breaks=c(0,14,46,73,100),labels=c("0","14","46","73","100"))+
  theme(legend.position='',legend.background = element_rect(colour = 'white'),
  plot.margin=unit(c(0.5,0.5,0.5,0.5), "cm"),panel.spacing = unit(1.3,"lines"))+
  ggtitle("Shallow-reared")+ theme(plot.title = element_text(hjust = 0.5))



####Old/different versions####
#PC1
ggplot(switch_pc,aes(x=photo,y=PC1.fish,colour = treatment))+
  geom_hline(yintercept=0,colour="gray61",size=0.5)+
  theme(strip.text.x = element_text(size=12,face="bold"),strip.background = element_rect(colour="white",fill="white"))+
  coord_cartesian(ylim=c(-2, 2))+
  stat_smooth(aes(fill = treatment,linetype=treatment),se=F,size=1,show.legend = F,method="loess",position = position_dodge(4.5))+
  stat_summary(fun.y = mean, geom = "point",size = 2.5,position = position_dodge(4.5)) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=0.95,position = position_dodge(4.5))+
  scale_colour_manual(name="",values = c("orangered2","lightpink2","lightblue3","deepskyblue3"))+
  scale_y_continuous(name="PC1")+
  scale_x_continuous(name="",breaks=c(0,11),labels=c("",""))+
  theme(legend.position='',legend.background = element_rect(colour = 'white'),
        plot.margin=unit(c(1,1,1,1), "cm"),panel.spacing = unit(1.3,"lines"))


#PC2
ggplot(switch_pc_fig,aes(x=photo,y=PC2.fish,colour = treatment))+
  geom_hline(yintercept=0,colour="gray61",size=0.5)+
  theme(strip.text.x = element_text(size=12,face="bold"),strip.background = element_rect(colour="white",fill="white"))+
  coord_cartesian(ylim=c(-2, 2))+
  stat_smooth(aes(fill = treatment,linetype=treatment),se=F,size=1,show.legend = F,method="glm",position = position_dodge(4.5))+
  stat_summary(fun.y = mean, geom = "point",size = 2.5,position = position_dodge(4.5)) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=0.95,position = position_dodge(4.5))+
  scale_colour_manual(name="",values = c("orangered2","lightpink2","lightblue3","deepskyblue3"))+
  scale_y_continuous(name="PC2")+
  scale_x_continuous(name="",breaks=c(0,11),labels=c("",""))+
  theme(legend.position='',legend.background = element_rect(colour = 'white'),
  plot.margin=unit(c(1,1,1,1), "cm"),panel.spacing = unit(1.3,"lines"))


#PC3
ggplot(switch_pc_fig,aes(x=photo,y=PC3.fish,colour = treatment))+
  geom_hline(yintercept=0,colour="gray61",size=0.5)+
  theme(strip.text.x = element_text(size=12,face="bold"),strip.background = element_rect(colour="white",fill="white"))+
  coord_cartesian(ylim=c(-2, 2))+
  stat_smooth(aes(fill = treatment,linetype=treatment),se=F,size=1,show.legend = F,method="glm",position = position_dodge(4.5))+
  stat_summary(fun.y = mean, geom = "point",size = 2.5,position = position_dodge(4.5)) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=0.95,position = position_dodge(4.5))+
  scale_colour_manual(name="",values = c("orangered2","lightpink2","lightblue3","deepskyblue3"))+
  scale_y_continuous(name="PC3")+
  scale_x_continuous(name="",breaks=c(0,11),labels=c("0","100"))+
  theme(legend.position='',legend.background = element_rect(colour = 'white'),
  plot.margin=unit(c(1,1,1,1), "cm"),panel.spacing = unit(1.3,"lines"))

#PC4
ggplot(switch_pc_fig,aes(x=photo,y=PC4.fish,colour = treatment))+
  geom_hline(yintercept=0,colour="gray61",size=0.5)+
  theme(strip.text.x = element_text(size=12,face="bold"),strip.background = element_rect(colour="white",fill="white"))+
  coord_cartesian(ylim=c(-2, 2))+
  stat_smooth(aes(fill = treatment,linetype=treatment),se=F,size=1,show.legend = F,method="glm",position = position_dodge(4.5))+
  stat_summary(fun.y = mean, geom = "point",size = 2.5,position = position_dodge(4.5)) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=0.95,position = position_dodge(4.5))+
  scale_colour_manual(name="",values = c("orangered2","lightpink2","lightblue3","deepskyblue3"))+
  scale_y_continuous(name="PC4")+
  scale_x_continuous(name="",breaks=c(0,11),labels=c("0","100"))+
  theme(legend.position='left',legend.background = element_rect(colour = 'white'),
  plot.margin=unit(c(1,1,1,1), "cm"),panel.spacing = unit(1.3,"lines"))


####supplemental colur comparisons####
#####Body#####
rear3_all.b$species_f <- factor(rear3_all.b$species, levels=c('n','h','p'))
ggplot(rear3_all.b,aes(x=species_f,y=PC1,colour=species_f))+
  geom_hline(yintercept=0,colour="gray88",size=1)+
  coord_cartesian(ylim=c(-2, 2))+
  stat_summary(fun.y = mean, geom = "point",size = 4) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=1)+
  scale_colour_manual(values = c("red2","forestgreen","mediumblue"))+
  scale_x_discrete(name="", labels=c("P.nye","Hybrid","P.pun"),expand = c(0,0.7)) + 
  scale_y_continuous(name="Body PC1")+
  theme(legend.position='none',legend.background = element_rect(colour = 'black'),
        plot.margin=unit(c(0.25,0.25,0,0), "cm"),panel.spacing = unit(1,"lines"))

ggplot(rear3_all.b,aes(x=species_f,y=PC2,colour=species_f))+
  geom_hline(yintercept=0,colour="gray88",size=1)+
  coord_cartesian(ylim=c(-2, 2))+
  stat_summary(fun.y = mean, geom = "point",size = 4) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=1)+
  scale_colour_manual(values = c("red2","forestgreen","mediumblue"))+
  scale_x_discrete(name="", labels=c("P.nye","Hybrid","P.pun"),expand = c(0,0.7)) + 
  scale_y_continuous(name="Body PC2")+
  theme(legend.position='none',legend.background = element_rect(colour = 'black'),
        plot.margin=unit(c(0.25,0.25,0,0), "cm"),panel.spacing = unit(1,"lines"))

ggplot(rear3_all.b,aes(x=species_f,y=PC3,colour=species_f))+
  geom_hline(yintercept=0,colour="gray88",size=1)+
  coord_cartesian(ylim=c(-2, 2))+
  stat_summary(fun.y = mean, geom = "point",size = 4) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=1)+
  scale_colour_manual(values = c("red2","forestgreen","mediumblue"))+
  scale_x_discrete(name="", labels=c("P.nye","Hybrid","P.pun"),expand = c(0,0.7)) + 
  scale_y_continuous(name="Body PC3")+
  theme(legend.position='none',legend.background = element_rect(colour = 'black'),
        plot.margin=unit(c(0.25,0.25,0,0), "cm"),panel.spacing = unit(1,"lines"))

ggplot(rear3_all.b,aes(x=species_f,y=PC4,colour=species_f))+
  geom_hline(yintercept=0,colour="gray88",size=1)+
  coord_cartesian(ylim=c(-2, 2))+
  stat_summary(fun.y = mean, geom = "point",size = 4) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=1)+
  scale_colour_manual(values = c("red2","forestgreen","mediumblue"))+
  scale_x_discrete(name="", labels=c("P.nye","Hybrid","P.pun"),expand = c(0,0.7)) + 
  scale_y_continuous(name="Body PC4")+
  theme(legend.position='none',legend.background = element_rect(colour = 'black'),
        plot.margin=unit(c(0.25,0.25,0,0), "cm"),panel.spacing = unit(1,"lines"))


#####Dorsal#####
rear3_all.d$species_f <- factor(rear3_all.d$species, levels=c('n','h','p'))
ggplot(rear3_all.d,aes(x=species_f,y=PC1,colour=species_f))+
  geom_hline(yintercept=0,colour="gray88",size=1)+
  coord_cartesian(ylim=c(-2, 2))+
  stat_summary(fun.y = mean, geom = "point",size = 4) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=1)+
  scale_colour_manual(values = c("red2","forestgreen","mediumblue"))+
  scale_x_discrete(name="", labels=c("P.nye","Hybrid","P.pun"),expand = c(0,0.7)) + 
  scale_y_continuous(name="Dorsal PC1")+
  theme(legend.position='none',legend.background = element_rect(colour = 'black'),
        plot.margin=unit(c(0.25,0.25,0,0), "cm"),panel.spacing = unit(1,"lines"))

ggplot(rear3_all.d,aes(x=species_f,y=PC2,colour=species_f))+
  geom_hline(yintercept=0,colour="gray88",size=1)+
  coord_cartesian(ylim=c(-2, 2))+
  stat_summary(fun.y = mean, geom = "point",size = 4) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=1)+
  scale_colour_manual(values = c("red2","forestgreen","mediumblue"))+
  scale_x_discrete(name="", labels=c("P.nye","Hybrid","P.pun"),expand = c(0,0.7)) + 
  scale_y_continuous(name="Dorsal PC2")+
  theme(legend.position='none',legend.background = element_rect(colour = 'black'),
        plot.margin=unit(c(0.25,0.25,0,0), "cm"),panel.spacing = unit(1,"lines"))

ggplot(rear3_all.d,aes(x=species_f,y=PC3,colour=species_f))+
  geom_hline(yintercept=0,colour="gray88",size=1)+
  coord_cartesian(ylim=c(-2, 2))+
  stat_summary(fun.y = mean, geom = "point",size = 4) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=1)+
  scale_colour_manual(values = c("red2","forestgreen","mediumblue"))+
  scale_x_discrete(name="", labels=c("P.nye","Hybrid","P.pun"),expand = c(0,0.7)) + 
  scale_y_continuous(name="Dorsal PC3")+
  theme(legend.position='none',legend.background = element_rect(colour = 'black'),
        plot.margin=unit(c(0.25,0.25,0,0), "cm"),panel.spacing = unit(1,"lines"))

ggplot(rear3_all.d,aes(x=species_f,y=PC4,colour=species_f))+
  geom_hline(yintercept=0,colour="gray88",size=1)+
  coord_cartesian(ylim=c(-2, 2))+
  stat_summary(fun.y = mean, geom = "point",size = 4) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=1)+
  scale_colour_manual(values = c("red2","forestgreen","mediumblue"))+
  scale_x_discrete(name="", labels=c("P.nye","Hybrid","P.pun"),expand = c(0,0.7)) + 
  scale_y_continuous(name="Dorsal PC4")+
  theme(legend.position='none',legend.background = element_rect(colour = 'black'),
        plot.margin=unit(c(0.25,0.25,0,0), "cm"),panel.spacing = unit(1,"lines"))


#####Caudal#####
rear3_all.t$species_f <- factor(rear3_all.d$species, levels=c('n','h','p'))
ggplot(rear3_all.t,aes(x=species_f,y=PC1,colour=species_f))+
  geom_hline(yintercept=0,colour="gray88",size=1)+
  coord_cartesian(ylim=c(-2, 2))+
  stat_summary(fun.y = mean, geom = "point",size = 4) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=1)+
  scale_colour_manual(values = c("red2","forestgreen","mediumblue"))+
  scale_x_discrete(name="", labels=c("P.nye","Hybrid","P.pun"),expand = c(0,0.7)) + 
  scale_y_continuous(name="Caudal PC1")+
  theme(legend.position='none',legend.background = element_rect(colour = 'black'),
        plot.margin=unit(c(0.25,0.25,0,0), "cm"),panel.spacing = unit(1,"lines"))

ggplot(rear3_all.t,aes(x=species_f,y=PC2,colour=species_f))+
  geom_hline(yintercept=0,colour="gray88",size=1)+
  coord_cartesian(ylim=c(-2, 2))+
  stat_summary(fun.y = mean, geom = "point",size = 4) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=1)+
  scale_colour_manual(values = c("red2","forestgreen","mediumblue"))+
  scale_x_discrete(name="", labels=c("P.nye","Hybrid","P.pun"),expand = c(0,0.7)) + 
  scale_y_continuous(name="Caudal PC2")+
  theme(legend.position='none',legend.background = element_rect(colour = 'black'),
        plot.margin=unit(c(0.25,0.25,0,0), "cm"),panel.spacing = unit(1,"lines"))

ggplot(rear3_all.t,aes(x=species_f,y=PC3,colour=species_f))+
  geom_hline(yintercept=0,colour="gray88",size=1)+
  coord_cartesian(ylim=c(-2, 2))+
  stat_summary(fun.y = mean, geom = "point",size = 4) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=1)+
  scale_colour_manual(values = c("red2","forestgreen","mediumblue"))+
  scale_x_discrete(name="", labels=c("P.nye","Hybrid","P.pun"),expand = c(0,0.7)) + 
  scale_y_continuous(name="Caudal PC3")+
  theme(legend.position='none',legend.background = element_rect(colour = 'black'),
        plot.margin=unit(c(0.25,0.25,0,0), "cm"),panel.spacing = unit(1,"lines"))

ggplot(rear3_all.t,aes(x=species_f,y=PC4,colour=species_f))+
  geom_hline(yintercept=0,colour="gray88",size=1)+
  coord_cartesian(ylim=c(-2, 2))+
  stat_summary(fun.y = mean, geom = "point",size = 4) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=1)+
  scale_colour_manual(values = c("red2","forestgreen","mediumblue"))+
  scale_x_discrete(name="", labels=c("P.nye","Hybrid","P.pun"),expand = c(0,0.7)) + 
  scale_y_continuous(name="Caudal PC4")+
  theme(legend.position='none',legend.background = element_rect(colour = 'black'),
        plot.margin=unit(c(0.25,0.25,0,0), "cm"),panel.spacing = unit(1,"lines"))


#####Anal#####
rear3_all.a$species_f <- factor(rear3_all.a$species, levels=c('n','h','p'))
ggplot(rear3_all.a,aes(x=species_f,y=PC1,colour=species_f))+
  geom_hline(yintercept=0,colour="gray88",size=1)+
  coord_cartesian(ylim=c(-2, 2))+
  stat_summary(fun.y = mean, geom = "point",size = 4) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=1)+
  scale_colour_manual(values = c("red2","forestgreen","mediumblue"))+
  scale_x_discrete(name="", labels=c("P.nye","Hybrid","P.pun"),expand = c(0,0.7)) + 
  scale_y_continuous(name="Anal PC1")+
  theme(legend.position='none',legend.background = element_rect(colour = 'black'),
        plot.margin=unit(c(0.25,0.25,0,0), "cm"),panel.spacing = unit(1,"lines"))

ggplot(rear3_all.a,aes(x=species_f,y=PC2,colour=species_f))+
  geom_hline(yintercept=0,colour="gray88",size=1)+
  coord_cartesian(ylim=c(-2, 2))+
  stat_summary(fun.y = mean, geom = "point",size = 4) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=1)+
  scale_colour_manual(values = c("red2","forestgreen","mediumblue"))+
  scale_x_discrete(name="", labels=c("P.nye","Hybrid","P.pun"),expand = c(0,0.7)) + 
  scale_y_continuous(name="Anal PC2")+
  theme(legend.position='none',legend.background = element_rect(colour = 'black'),
        plot.margin=unit(c(0.25,0.25,0,0), "cm"),panel.spacing = unit(1,"lines"))

ggplot(rear3_all.a,aes(x=species_f,y=PC3,colour=species_f))+
  geom_hline(yintercept=0,colour="gray88",size=1)+
  coord_cartesian(ylim=c(-2, 2))+
  stat_summary(fun.y = mean, geom = "point",size = 4) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=1)+
  scale_colour_manual(values = c("red2","forestgreen","mediumblue"))+
  scale_x_discrete(name="", labels=c("P.nye","Hybrid","P.pun"),expand = c(0,0.7)) + 
  scale_y_continuous(name="Anal PC3")+
  theme(legend.position='none',legend.background = element_rect(colour = 'black'),
        plot.margin=unit(c(0.25,0.25,0,0), "cm"),panel.spacing = unit(1,"lines"))

ggplot(rear3_all.a,aes(x=species_f,y=PC4,colour=species_f))+
  geom_hline(yintercept=0,colour="gray88",size=1)+
  coord_cartesian(ylim=c(-2, 2))+
  stat_summary(fun.y = mean, geom = "point",size = 4) +
  stat_summary(fun.data = mean_cl_normal, geom = "errorbar",width = 0.15,size=1)+
  scale_colour_manual(values = c("red2","forestgreen","mediumblue"))+
  scale_x_discrete(name="", labels=c("P.nye","Hybrid","P.pun"),expand = c(0,0.7)) + 
  scale_y_continuous(name="Anal PC4")+
  theme(legend.position='none',legend.background = element_rect(colour = 'black'),
        plot.margin=unit(c(0.25,0.25,0,0), "cm"),panel.spacing = unit(1,"lines"))


#####Experimental light spectra####

ed <- aes(ymax = shall.avg + shall.se, ymin = shall.avg - shall.se)
ee <- aes(ymax = deep.avg + deep.se, ymin = deep.avg - deep.se)


plot(ggplot(specs, aes(x = wavelength)) + 
  coord_cartesian(ylim=c(0, 0.65),expand = c(0,0))+ 
  geom_line(aes(y = shall.avg, colour = "deepskyblue3"),size=1) +
  geom_ribbon(ed, alpha = 0.5, fill="deepskyblue3")+
  geom_line(aes(y = deep.avg, colour = "orangered2"),size=1) +
  geom_ribbon(ee, alpha = 0.5, fill="orangered1")+
  scale_color_manual(values=c("deepskyblue3", "orangered2"),labels=c("Shallow","Deep"),guide = guide_legend(title = ""))+
  scale_x_continuous(name="",limits=c(375,660))+ 
  scale_y_continuous(name="Light intensity (umol / (m^2*s))",limits=c(0,0.6))+
  theme(legend.position=c(0.16,0.85),legend.background = element_rect(colour = 'white'))+
  ggtitle("") + theme(plot.title = element_text(vjust = 2)))
 
           
plot(ggplot(specs, aes(x = wavelength)) + 
       coord_cartesian(ylim=c(0, 0.65),expand = c(0,0))+ 
       geom_line(aes(y = shall.avg),size=1) +
       geom_ribbon(ed, alpha = 0.5, fill="deepskyblue3")+
       geom_line(aes(y = deep.avg),size=1) +
       geom_ribbon(ee, alpha = 0.5, fill="orangered2") +
       scale_color_manual(values=c("orangered2", "deepskyblue3"),labels=c("Deep","Shallow"),guide = guide_legend(title = ""))+
       scale_x_continuous(name="",limits=c(375,660))+ 
       scale_y_continuous(name="Light intensity (umol / (m^2*s))",limits=c(0,0.6))+
       theme(legend.position=c(0.16,0.85),legend.background = element_rect(colour = 'white'))+
       ggtitle("") + theme(plot.title = element_text(vjust = 2)))

  


